/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.spring.beans;

import java.util.Date;

/**
 *
 * @author attila
 */
public class TimeRestrictionInformation {
    private Date lastSendDate;
    private Date nextPossibleSendDate;
    private Date now;
    
    public TimeRestrictionInformation(Date lastSendDate, Date nextPossibleSendDate) {
        this.lastSendDate = lastSendDate;
        this.nextPossibleSendDate = nextPossibleSendDate;
        now = new Date();
    }

    public Date getLastSendDate() {
        return lastSendDate;
    }

    public void setLastSendDate(Date lastSendDate) {
        this.lastSendDate = lastSendDate;
    }

    public Date getNextPossibleSendDate() {
        return nextPossibleSendDate;
    }

    public void setNextPossibleSendDate(Date nextPossibleSendDate) {
        this.nextPossibleSendDate = nextPossibleSendDate;
    }

    public Date getNow() {
        return now;
    }

    public void setNow(Date now) {
        this.now = now;
    }
}
